com.lowagie.text.pdf.draw

## Interface DrawInterface

- All Known Implementing Classes:
    DottedLineSeparator, LineSeparator, VerticalPositionMark

      public interface DrawInterface

  Interface for an Element that allows you to draw something at the current vertical position. Trivial implementations are LineSeparator and VerticalPositionMark. It is also used to define what has to be drawn by a separator chunk.
  Since:
    2.1.2

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `draw(PdfContentByte canvas, float llx, float lly, float urx, float ury, float y)` Implement this method if you want to draw something at the current Y position (for instance a line).

- - ### Method Detail

    - #### draw

          void draw(PdfContentByte canvas,
                  float llx,
                  float lly,
                  float urx,
                  float ury,
                  float y)

      Implement this method if you want to draw something at the current Y position (for instance a line).
      Parameters:
        `canvas` - the canvas on which you can draw
        `llx` - the x coordinate of the left page margin
        `lly` - the y coordinate of the bottom page margin
        `urx` - the x coordinate of the right page margin
        `ury` - the y coordinate of the top page margin
        `y` - the current y position on the page